summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2021-05-15 17:04:38 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2021-05-15 17:04:51 +0200
commite1476b40685d81d4003c22abfd636db6c1d7be34 (patch)
tree8bdc4cdc752f7fae03644ecd795090cd49d96eba /app-admin/perl-cleaner
parentsys-apps/shadow: ...and sparc (diff)
downloadgentoo-e1476b40685d81d4003c22abfd636db6c1d7be34.tar.gz
gentoo-e1476b40685d81d4003c22abfd636db6c1d7be34.tar.bz2
gentoo-e1476b40685d81d4003c22abfd636db6c1d7be34.zip
app-admin/perl-cleaner: Version bump 2.29
Bug: https://bugs.gentoo.org/763021 Package-Manager: Portage-3.0.18, Repoman-3.0.2 Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'app-admin/perl-cleaner')
-rw-r--r--app-admin/perl-cleaner/Manifest1
-rw-r--r--app-admin/perl-cleaner/perl-cleaner-2.29.ebuild41
-rw-r--r--app-admin/perl-cleaner/perl-cleaner-9999.ebuild2
3 files changed, 43 insertions, 1 deletions
diff --git a/app-admin/perl-cleaner/Manifest b/app-admin/perl-cleaner/Manifest
index c7ac625a792..895d38f5146 100644
--- a/app-admin/perl-cleaner/Manifest
+++ b/app-admin/perl-cleaner/Manifest
@@ -1,2 +1,3 @@
DIST perl-cleaner-2.27.tar.bz2 7493 BLAKE2B 03d8bc336fd0a42bce16c4bf8b2272a7ff24d605b483af777ef7ab3d59accd0082709200705638ab116934f675b17c5cf109c40a3ab739654ff64abebd8c0558 SHA512 097d68dff30da198636f73fc44600f1863c7f69f87110315bb83297c96d826f2f101f56ab546fde94ff60ca00da0aaa569fefea3c2599155f3bd69c66fb42ed6
DIST perl-cleaner-2.28.tar.bz2 7222 BLAKE2B 8b90b6d7be8b21de3de2d946baba2ea96e145072c1d6cb4fc9a45bd2181941155791e022f59139fbd440fd1dbc16a76e635e5d4bb420e9051efd87aa08a3aa0d SHA512 c53f2a48002ab45ec0e43cbdc6153792a540efb9ce9a272388707987a76a292a1f90ece85e2f5dfa94f75a1afae13a5768d3712f183ca9d10fa0c559bba132d5
+DIST perl-cleaner-2.29.tar.bz2 6945 BLAKE2B 2a01d3e59d949ad8ca730e78dde74c5af62c8d9d72186922048bc3e0a85947783d4a468d829236633028e2ea7932e83ccd306691b003186934477de3af385fe9 SHA512 1e2b5b575de7bda3f6bfc1073e15c358e93d3c1b839484f68e0c5183f5401d2537aeba403d973e8c143cd3f545484387b7e08d575f932dda102749aa5707d9c2
diff --git a/app-admin/perl-cleaner/perl-cleaner-2.29.ebuild b/app-admin/perl-cleaner/perl-cleaner-2.29.ebuild
new file mode 100644
index 00000000000..a7624afba08
--- /dev/null
+++ b/app-admin/perl-cleaner/perl-cleaner-2.29.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit prefix
+
+DESCRIPTION="User land tool for cleaning up old perl installs"
+HOMEPAGE="https://www.gentoo.org/proj/en/perl/"
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/gentoo-perl/perl-cleaner.git"
+else
+ SRC_URI="mirror://gentoo/${P}.tar.bz2 https://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.bz2"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
+[[ "${PV}" == "9999" ]] && DEPEND="sys-apps/help2man"
+
+RDEPEND="app-shells/bash
+ dev-lang/perl
+ || (
+ ( sys-apps/portage app-portage/portage-utils )
+ sys-apps/pkgcore
+ )
+"
+
+src_prepare() {
+ default
+ eprefixify ${PN}
+}
+
+src_install() {
+ dosbin perl-cleaner
+ doman perl-cleaner.1
+}
diff --git a/app-admin/perl-cleaner/perl-cleaner-9999.ebuild b/app-admin/perl-cleaner/perl-cleaner-9999.ebuild
index b0c4cce4366..a7624afba08 100644
--- a/app-admin/perl-cleaner/perl-cleaner-9999.ebuild
+++ b/app-admin/perl-cleaner/perl-cleaner-9999.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit prefix